Packages - Freedom Issue #2344

[opera][opera-ffmpeg-codecs] non-free binary package
2019-06-28 08:14 AM - grizzlyuser

Status: fixed % Done: 100%
Priority: freedom issue

Assignee: freemor

Category:

Description

It probably has to be blacklisted as only non-free opera package depends on it in Arch Linux. Unless some other libre package
provides opera, of course.

History

#1 - 2019-06-28 11:58 AM - freemor
- Priority changed from bug to freedom issue
- Assignee set to freemor

- Status changed from unconfirmed to confirmed

Acording topactree nothing else depends on this.
So unless someone has a good reason not to I'll blacklist it later today when | have more time.

#2 - 2019-06-28 12:32 PM - bill-auger

i just noticed that the blacklist entry for 'opera’ does not
have an issue reference - if you add this package to the
blacklist, assign this issue as the reference for 'opera’ too

so they would be of this form:

opera: :parabola:2344: [nonfree] nonfree, nondistributable, built from binary installers, etc
opera-ffmpeg-codecs: :parabola:2344: [nonfree] depends on nonfree 'opera'

odd that is says: "nondistributable” - if that were really true,
then arch could not distribute it - that is why its not great
to have entries without some documented reference

#3 - 2019-06-28 07:11 PM - freemor

K, well now | want to do some digging to find out exactly what that means so | can give both clearer documentation when | blacklist this.

#4 - 2019-06-28 07:33 PM - freemor

pulled the Arch PKGBUILD (as there was nothing in the Issue tracker nor the commit to explain further.

The PKGBUILD does indeed pull a binary.

source= (
"https://get.geo.opera.com/pub/${pkgname}/desktop/${pkgver}/linux/${pkgname}-stable_${pkgver}_amdé64.deb"
"opera"
"default"
'eula.html'
'terms.html’'
'privacy.html’

)

the file "opera" is a simple Script for launching Opera, but contains such gems as:

# Based on Gentoo's chromium package (and by extension, Debian's)
-and -
# Prefer user defined CHROMIUM_USER_FLAGS (from env) over system

# default CHROMIUM_FLAGS (from /etc/chromium/default)
OPERA_FLAGS=$ {OPERA_USER_FLAGS:-$OPERA_FLAGS}
So things are definitely not good on several fronts if opera is based on chromium then even if there is source I'd be a freedom issue.

#5 - 2019-06-28 07:42 PM - freemor
opera-developer in AUR also pulls a .deb in the PKGBUILD... Is there no source for this thing....

Goes to look....

O.k. From https://forums.opera.com/topic/26874/where-can-i-download-source-code-of-opera-browser-chromium

Where Can I Download Source Code of Opera Browser (Chromium)?
This topic has been deleted. Only users with topic management privileges can see it.

. [6££fe39941]
johnsmith1990 last edited by

Hello!
Can you say to me wher can i download source code of opera browser (Chromium)?
Thanks'!
Reply Quote O
[c5fad45c963] 1 Reply Last reply
+ [c5fad45c963]
leocg Moderator last edited by @johnsmithl1990

@johnsmithl1990 Opera is not open source. Opera's upstreamed commits to Chromium can be found here.

Reply Quote 0
1 Reply Last reply

So Dead to us for Oh so many reasons.

#6 - 2019-06-28 08:00 PM - freemor
- % Done changed from 0 to 100

- Status changed from confirmed to fixed

Blacklisted.
Opera documentation in the blacklist update. points here. Description is more clear

#7 - 2019-06-29 06:28 AM - bill-auger

- Subject changed from [opera-ffmpeg-codecs] Sole dependency of non-free opera to [operaj[opera-ffmpeg-codecs] non-free binary package
